/*
 * Copyright (C) 2025. Nyabsi <nyabsi@sovellus.cc>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cc.sovellus.vrcaa.api.vrchat.http.models


import com.google.gson.annotations.SerializedName

data class Presence(
    @SerializedName("avatarThumbnail")
    var avatarThumbnail: String = "",
    @SerializedName("currentAvatarTags")
    var currentAvatarTags: String = "",
    @SerializedName("debugflag")
    var debugflag: String = "",
    @SerializedName("displayName")
    var displayName: String = "",
    @SerializedName("groups")
    var groups: List<String> = listOf(),
    @SerializedName("id")
    var id: String = "",
    @SerializedName("instance")
    var instance: String = "",
    @SerializedName("instanceType")
    var instanceType: String = "",
    @SerializedName("platform")
    var platform: String = "",
    @SerializedName("profilePicOverride")
    var profilePicOverride: String = "",
    @SerializedName("status")
    var status: String = "",
    @SerializedName("travelingToInstance")
    var travelingToInstance: String = "",
    @SerializedName("travelingToWorld")
    var travelingToWorld: String = "",
    @SerializedName("userIcon")
    var userIcon: String = "",
    @SerializedName("world")
    var world: String = ""
)